
                =====================================
       		   CHANGES IN geoR VERSION 1.9-6
	        =====================================

Changes
     o op <- par(no.readonly=TRUE); on.exit(par(op)) removed from image.kriging()


                =====================================
       		   CHANGES IN geoR VERSION 1.9-5
	        =====================================

Changes
     o as requested by CRAN checks


                =====================================
       		   CHANGES IN geoR VERSION 1.9-4
	        =====================================

Changes
     o removal of is.R() call as requested by CRAN


                =====================================
       		   CHANGES IN geoR VERSION 1.9-3
	        =====================================

Changes
      o data set rongelap was copied from geoRglm and included in geoR.


Fixes
      o import(tcltk) removed from NAMESPACE since the package is listed as Suggested 

      o check for any() kappa in likGRF()

      o fixes in Rd files following reccomendation from cran checks


                =====================================
       		   CHANGES IN geoR VERSION 1.9-2
	        =====================================

Changes
      o All dependencies on RandomFields are now removed.
        This affects grf() which now only runs with methods
        'cholesky, 'svd' or 'eigen'  and therefore limited number of locations.



                =====================================
       		   CHANGES IN geoR VERSION 1.8-1
	        =====================================

Changes
      o Removed the example in subarea() using geoRglm:::rongelap ultil the package gets back to CRAN 
	      
      o added reference to Diggle & Ribeiro (2007) on the description file


Fixes
       o no longer using attach() to address NOTE in CRAN checks 
         (it mostly affects image() persp() and countour() functions)

       o no longer writing/assigning objects to the global environment to address NOTE in CRAN checks
  
       o Brian's changes in C code to address valgrind issues



                =====================================
       		   CHANGES IN geoR VERSION 1.7-5
	        =====================================

BUGS/Fixes
       o call to sp::overlay changed to sp::over()

       o changes to fix issues on CRAN reported errors/warnings
regarding namespaces and foreign calls




                =====================================
       		CHANGES IN geoR VERSION 1.7-4
	        =====================================

BUGS/Fixes
       o call to sp::overlay changed to sp::over()

       o changes to fix issues on CRAN reported errors/warnings
regarding namespaces and foreign calls


  
                =====================================
       		CHANGES IN geoR VERSION 1.6-34/1.6-35
	        =====================================

BUGS

      o fix in documentation of functions completing names of arguments 

      o change in geoR2RF: "whittlematern" to "whittle" com conform with changes in RandomFields

BUGS/fixes

      o fix points.geodata when argument "pt.divide" gets an scalar

      o fix in krige.conv() when a single prediction location is provided

      o package tcktl moved to "Suggests". eyefit() has require(tcltk)

      o clarifications in the documentation of "plot.variogram" for plotting the variogram cloud
      

                ===============================
       		CHANGES IN geoR VERSION 1.6-33
	        ===============================

NEW FEATURES

       o replacement of pythag by hypot in the C code

       o new geoR2RF() to adjust for changes in RandomFields
         (thanks to Martin Schlather)


                =====================================
       		   CHANGES IN geoR VERSION 1.7-3
	        =====================================

BUGS

      o fix in cov.spatial() to prevent defining array of 0 dimension

      o $altitude is now consistently a vector in sic.100, sic.all and sic.367 

      o fix in dup.coords() to adjust for jitterDupCoords() with equal number of replicates at replicated locations

      o package tcktl back as Depends dependence 


      
                =====================================
       		   CHANGES IN geoR VERSION 1.7-2
	        =====================================

NEW FEATURES
  
      o trend.spatial() search for variables in formula in Spatial*DataFrame objects (package(sp))


BUGS

      o fix in dup.coords() to adjust for jitterDupCoords() with equal number of replicates at replicated locations

      o package tcktl back as Depends dependence 

      o .nlmP() is now exported and visible again

      
                =====================================
       		   CHANGES IN geoR VERSION 1.7-1
	        =====================================

NEW FEATURES

      o geoR has now a NAMESPACE exporting/importing functions

      o changes in the DESCRIPTION file with dependends and suggests

      o boxcox.fit() replaced by boxcoxfit() (also the S3 class name and methods)
      
      o cite.geoR() now removed. Standard citation(package="geoR") should be used instead
      
      o CITATION information changed including Diggle & Ribeiro (2007)


BUGS

      o krige.control() now reads trend specification from obj.model properly



                =====================================
       	        CHANGES IN geoR VERSION 1.6-34/1.6-35
	        =====================================

NEW FEATURES

      o little changes in grf() to check for regular grid on coordinates
        provides by the user 


BUGS

      o fix in documentation of functions completing names of arguments 

      o change in geoR2RF: "whittlematern" to "whittle" com conform with changes in RandomFields


                ===============================
       		CHANGES IN geoR VERSION 1.6-31
	        ===============================

NEW FEATURES
       o 


BUGS

        o fix in proflik() which was passing wrong argument name for likfit() (lik.method/method.lik)
          when computing the profile for the lambda parameter

        o practicalRange() now returns Inf for power and linear correlation functions

        o fixes in variofit() for linear correlation model


                ===============================
                CHANGES IN geoR VERSION 1.6-30
	        ===============================

NEW FEATURES

        o variofit() and likfit() now extracts "cov.model" if a "variomodel" (or eyefit)
          object is passed to "ini.cov.pars"


BUGS
        o as.geodata() was handling units.m wrongly in case of duplicated locations. (Thanks Barry Rowligson)

 

                ===============================
 		CHANGES IN geoR VERSION 1.6-29
		===============================

NEW FEATURES

        o new functions jitterDupCoords(), jitterDupCoords.default(), 
          jitterDupCoords.geodata(), jitter2d(), allowing for jittering
          (*Dup* for duplicated only) 2D coordinates  
  

BUGS
        o variog.model.env() now deals with "eyefit" objects. Runs for a object with a single model and issues an error if there is more than one model in the object, asking for rerun indicationg which one is the list to be used

 

                ===============================
 		CHANGES IN geoR VERSION 1.6-27/28
		===============================

NEW FEATURES

        o lines.variomodel.grf() with simpler argument list
  
        o more general passing arguments mechanism in image.*(), countour.*(), persp.*()


BUGS
        o variofit() was mistakenly printing "matern" while running

        o points.geodata() now pass all plotting parameters correctly

        o lines.variomodel.krige.bayes() was printing always the exponential model
          now fixed 

        o more general passing arguments mechanism in image.*(), countour.*(), persp.*()

 

                ===============================
 		CHANGES IN geoR VERSION 1.6-26
		===============================

NEW FEATURES

        o 

BUGS
        o bug fix/change in prepare.graph.kriging() ordering values
 	  as well as coordinates allowing for unusual/not standard kriging grids
          as, for instance, imported from other systems (thanks to Olivier Briet)

        o internal change in check for duplicated locations in as.geodata.default()
	  for better handling of memory


                =================================
 		CHANGES IN geoR VERSION 1.6-24/25
		=================================

NEW FEATURES

        o practical() range replaces internally optimise() by uniroot() as the search algorithm

        o logLik.likGRF() now returns object of the class "logLik"
          which also allows usage of AIC

        o new tutorial section on converting geoR <--> sp
          exemple on converting kriging results


BUGS
        o fix in the format of the $data component subset.geodata() 



                =================================
 		CHANGES IN geoR VERSION 1.6-23
		=================================

NEW FEATURES
        o check.parameter.values() rename for .check.geoRparameter.values()


BUGS
        o fix in messages issued by likfit()

        o data(ca20) fix of two points with wrong values for covariate "areas"


                =================================
 		CHANGES IN geoR VERSION 1.6-22
		=================================

NEW FEATURES

        o improved handling of realisations in geodata objects by summary.geodata() and likfit()
 
        o new data set "soja98"

        o new data set "wrc"

        o new data set "soil250"

	o new argument "borders" in {image,persp,countour}.grf, and better handling of borders 
          provided in grf()



BUG FIXES

        o fixes for subset.geodata() handle units.m and realisations

        o several fixes preventing warnings on `R CMD check` regarding `no visible binding for global variable` 

        o fix in a bug in likfit() introduced in the previous version 

        o fix in the calculation of loglikBGCCM()

        o fixes on krige.bayes() and hist.krige.bayes() to prevent warnings

	o fixes in lines.variomodel() for computing nested variogramas 



                =================================
 		CHANGES IN geoR VERSION 1.6-21
		=================================

NEW FEATURES
 
        o likfit(), variofit(), eyefit() and likfitBGCCM() and the corresponding
    	   print() and summary() functions now reports on the practical range

	o likfit() now allow other than L-BFGS-B methods to be passed to optim()

	o the latter requires argument name to be change from "method.lik"
	  "lik.method"	  


BUG FIXES

        o fixes in likfitBGCCM() for allowing more flexible passing arguments tom optim() 
 
        o fix in all() to be OK with R-2.7-0

	o print.BGCCM was ot printing kappa parameter values

        o likfitBGCCM was not passing values of the kappa parameter 
	  for the correlation functions

        o fix in likfit() when checking valid values for kappa for the 
          powered exponential, stable e gencauchy correlation functions

        o fix in documentation, correlation function equations, for cov.spatial()
 

                =================================
 		CHANGES IN geoR VERSION 1.6-20
		=================================

NEW FEATURES

         o new function practicalRange() provinding values of practical ranges
           for the covariance models inplemented in geoR 

	 o internal variable ".geoR.cov.models" allowing for cleaner internal code
           (in particular user in match.call(cov.model, choices = .geoR.cov.models)

         o transparent internal changes in points.geodata() and 
           greater compatibility with legend() arguments to locate the legend

         o small changes in documentation concerning legends

BUG FIXES

        o fix in legends for points.geodata()




                =================================
 		CHANGES IN geoR VERSION 1.6-19
		=================================

NEW FEATURES

         o internal changes in varcov.spatial() (and other) to speed up
           matrix computations based on results from eigen() or svd()	

	 o grf() now takes argument borders

         o improvements in plot 1 dimentional results from krige.bayes()
           (image/persp/contour.krige.bayes() )


BUG FIXES

        o some minor/partial fixes to eliminate creation of objects not used
          (rf. "visible bindings" -- still many left behind ...) 



                =================================
 		CHANGES IN geoR VERSION 1.6-18
		=================================

NEW FEATURES
	
         o plot.geodata() now adds by default a density estimation (from density())
           and a rug plot  (from rug()) to the histogram. The histogram now uses 
           prob=TRUE as default. 

	 o grf() now return boders when argments "xlims" and "ylims" are used

 

BUG FIXES

         o serious fix in points.geodata() which was ploting with worng sizes
           in some cases

         o small fixed in doc for liffitBGCCM() and geoR tutorial
           on "Simulating bivariate proccess"

         o fixes in image/countour/persp.kriging/krige.bayes() 
           in the reference to the environmento of atributes to allow
	   call from within other functions

         o fix in subset.geodata() and related functions to deal with
           "units.m" properly




                =================================
 		CHANGES IN geoR VERSION 1.6-17
		=================================

NEW FEATURES
	
	 o 



BUG FIXES


         o fix in subset() docs to allow pass in windows checks




                =================================
 		CHANGES IN geoR VERSION 1.6-16
		=================================

NEW FEATURES
	
	 o 



BUG FIXES

         o fix in grf() changing error() by stop()

         o fixes in docs for subarea() and pars.limits()



                =================================
 		CHANGES IN geoR VERSION 1.6-15
		=================================

NEW FEATURES
	
	 o Changes in the DESCRIPTION file, now with:
              LazyLoad: yes
              LazyData: yes 

	 o components argument in likfit() now defaults to TRUE



BUG FIXES

         o fixes in fitted.likGRF() and resid.likGRF()

         o "Suggests" in DESCRIPTION file now includes \pkg{tcltk}
    
 	 o fix in points.geodata(), option pt.div="rank.proportional" was not working

         o critical bug fix in sample.beta.posterior() which was reading wrong arguments

         o internal fix in condition check for beta$iv in krige.bayes()


                =================================
 		CHANGES IN geoR VERSION 1.6-14
		=================================

NEW FEATURES
	
         o new data set "kattegat"

	 o

	 o



BUG FIXES

         o fix in docs for data(elevation)

         o fix in print names of "other" elements in summary.geodata()

         o further checks for valid fixed parameter values in likfit()

         o fix in chack.parameter.values() called by likfit()

         o 



                =================================
 		CHANGES IN geoR VERSION 1.6-13
		=================================

NEW FEATURES
	
	o 



BUG FIXES

         o adjusts in boxcox.fit()

         o replaces of names.default() by getS3method("names", "default")
           to adjust for Rdevel



                =================================
 		CHANGES IN geoR VERSION 1.6-12
		=================================

NEW FEATURES
	
	o logLik.likGRF() to extract maximised log-likelihood
	  from an likfit() output  

	o fitted.likGRF() and residuals.likGRF() to extract fitted values 
          and residuals from an likfit() output


BUG FIXES

         o parameters were returned in wrong place by likfitBCCGM()
           affeting prediction variances

	 o change in tests for equality of lambda to 0, 1 and 0.5
	   in several functions
 
         o fix in simulating anisotropic models in grf()
	   when calling GaussRF() from package RandomFields
 


                =================================
 		CHANGES IN geoR VERSION 1.6-10/11
		=================================

NEW FEATURES


BUG FIXES
 
         o fixes in documentation and code to conform with
           R devel
 

                ==============================
 		CHANGES IN geoR VERSION 1.6-9
		==============================

NEW FEATURES


         o new covariance function generalised cauchy
	   (gencauchy) now implemented


BUG FIXES
 
         o plot.variogram() now passes arguments to the plot
           function when argument 'ylim' is provided.
           Better handling of '...' 

         o error message about object xpts removed from grf()



                =======================================
 		CHANGES IN geoR VERSION 1.6-7 and 1.6-8
		=======================================

NEW FEATURES


         o grf() now call GaussRF() from RandomFileds
           with nicer defaults


                =======================================
 		CHANGES IN geoR VERSION 1.6-7 and 1.6-8
		=======================================

NEW FEATURES


         o new covariance function generalised cauchy
	   (gencauchy) now implemented

         o grf() now call GaussRF() from RandomFileds
           with nicer defaults



BUG FIXES

         o fixes in docs for krige.bayes() 

         o fix in variofit() when using variogram cloud as input object 


                =============================
 		CHANGES IN geoR VERSION 1.6-6
		=============================

NEW FEATURES

         o as.geodata.default(), points.geodata() and 
	   plot.geodata() now checks if all units.m > 0


BUG FIXES

         o variog.model.env() when lambda != 1

         o image.kriging(), image.krige.bayes()
           contour.kriging(), contour.krige.bayes() now recognises 
           geodata$borders	

         o fix in .geoR_pip() when calling .check.borders()

         o positions of optional elements in as.geodata.default()

         o dependencies from splancs removed from image.krige.bayes()

         o default upper limit limit for numerical optimisation in
           likfit() changed to 50*max.dist (was 1000*max.dist before)
 


                =============================
 		CHANGES IN geoR VERSION 1.6-5
		=============================

BUG FIXES
      
        o internal change in krige.bayes() to prevent
          overflow weh exponentiating values in the computation
          of the discrete probabilities (previous ha a wrong 
          plus/minus signal) 


                =============================
 		CHANGES IN geoR VERSION 1.6-4
		=============================

NEW FEATURES

        o substantial internal changes in several functions 
          (likfit/krige.bayes/krige.conv families)
	  to avoid inversion of the covariance matrix 
          and also avoiding several call to C code
          (other changes in this direction still to be made)


                ==============================================
 		CHANGES IN geoR VERSION 1.6-1, 1.6-2 and 1.6-3
		==============================================

NEW FEATURES

        o krige.conv() and krige.bayes() now by default
          recognises the element "borders" (if present) in the 
	  geodata object

        o new method predict.BGCCMfit to predict using the
          bivariate Gaussian common component model.

        o new function to fit the bivariate Gaussian
          common component model. See likfitBGCCM()
          and others related functions. 

        o new method names.geodata()

        o new method subset.geodata() 

        o new function sample.geodata()

        o new argument "units.m" for the functions 
          read.geodata() and as.geodata() 
          (relevant to geoRglm)

        o plot.geodata() and points.geodata() now, by default
          searches for an element "borders" in the geodata object
          and pass it to the argument borders

        o plot.geodata() and points.geodata() now, by default, divides
          data object element "data" by "units.m".
          This is meant to be used with objects to be analysed 
          using the package geoRglm.

        o new function globalvar()

        o geoR now depends on the package sp and is starting
	  moving towards sp standards and compatibility

        o as.geodata() is now a generic S3 with previous set as default
          method and methods for sp's class "SpatialPointsDataFrame"
          and "geodata.frame"

        o method as.data.frame.geodata() returning an object
          of the class "geodata.frame"

        o dup.geodata() copied as a method duplicated.geodata()
 
        o dependency from splancs removed
          (thanks Roger Bivand for the code)

        o new internal functions: .geoR_inout()
          .geoR_pip(), .check.borders(), .check.coords()
          (thanks Roger Bivand for the code)
           
        o new function boot.variog()

        o image.kriging(), contour.kriging()
          image.krige.bayes(), contour.krige.bayes()
	  now accepts `coords.data=TRUE`


BUGS	

        o fix in points.geodata() when using argument "cex.var"
          combinet with pt.divide="data" our "rank"

        o fixes is several internal calls to attach()
          which were causing warnings messages
 
        o exponential prior for phi in prior.control()
          and plots nos add to 1

        o geoR now depends on R-2.2.0

        o fix in grf() when calling GaussRF() from RandomFields
          - the mean was been added twice

        o kriging variances < -1e12 are now rounded to zero

	o fixes in contour.krige.bayes() regarding passing the
          argument "add"

        o fixes in print method for eyefit() and summary.eyefit()
  
	

                ==============================
 		CHANGES IN geoR VERSION 1.5-7
		==============================

NEW FEATURES

        o several functions meant for internal usage had their
	  names changed adding a "." in their names in order
	  to make them invisible for the ls() command


BUGS	

        o statistics.predictive() now tests for missing arguments
  
	o mode calculation removed from backtransform.moments()

	

                ==============================
 		CHANGES IN geoR VERSION 1.5-6
		==============================

NEW FEATURES

        o classes assignments changed from class<- 
	  to oldClass<-

        o internal changes in the methods for image(), persp()
          and contour() for better handling of the ... mechanism 
          including a new geoR-internal function ldots.set()

        o new method contour.grf()

        o new data sets "head" and "tce" from Kitanidis' book



BUGS

        o fixes in locations.inside() 

        o changes in eyefit() and xvalid() such that xvalid()
          can take an model provided by eyefit()


        o fix in summary.geodata() when lambda != 1




      		==============================
 		CHANGES IN geoR VERSION 1.5-5
		==============================

NEW FEATURES

        o new argument "mean" in grf() 

        o changes in .First.lib() such it no longer depends
          on 'utils' function packageDescription()
          (following post by Brian Ripley and Adrian Baddeley on R-help)

        o changes in krige.conv() and krige.bayes() to 
          recognise objects of the class "trend.spatial"
          passed to the arguments trend.l and trend.d


BUGS

        o DESCRIPTION file in 1.5-4 have date 2004 when it 
          should have been 2005
 
        o fixes in some docs to allow latin1 encondings



      		==============================
 		CHANGES IN geoR VERSION 1.5-4
		==============================

NEW FEATURES

        o the function grf() has now new argument "RF"
          and new option "RF" for the argument "method",
	  and accepts again "circular.embbeding".
          The changes basically allows grf() to internally call
          the function GaussRF() from the packages RandomFields.

        o the name "stable" can also be used to specify a 
          correlation model and it is internally
          changed to "powered.exponential"

        o new argument "permute" in points.geodata()

        o new argument "add.to.trend" in trend.spatial

        o backtransform.moments() now returns also the modes of the 
          backtransformed distribution

	o variog.model.env() now check com compatible trend sizes in
          the objects passed to the arguments "obj.vario" and "model.pars" 

        o bits in the code of the type apply(x,1,mean) and similar replaced 
          by the faster functions: colSums(), rowSums(), colMeans(), rowMeans()



BUGS

        o fixes and changes in the computation of the "power" 
          correlation model

        o fix in the computation of the "wave" correlation model 
          in the C code

        o fix in computation of the Gneiting correlation model which 
          now return the same values as in the package RandomFields

        o fix in variofit() for cov.model="powered" and fix.kappa=F

        o fix in reported loss function value for the best initial fit values

        o summary.geodata() no lenger list "units.m"
          as "other" element in the geodata object

	o documentation for as.geodata() now call the data(topo)
          from MASS 

        o yet another bug fix to prevent error in krige.conv()
          when kriging with a model object with sigmasq=0 and phi=0



      		==============================
 		CHANGES IN geoR VERSION 1.5-3
		==============================

NEW FEATURES

        o points.geodata() has a new optional argument "cex.var" which can
          receive a vector of values defining the size os the points

        o output.control() now allows krige.conv() and krige.bayes()
          to return the mean and variance of each conditional simulation
	  using the arguments "sim.means" and "sim.vars"

        o new function nearloc()

        o summary.geodata() now accepts the argument "lambda"

        o print.eyefit() now prints the same as print.summary.eyfit()

        o improvements im summary.geodata() when $realisations is available
	  including new argument "by.realisations"

        o likfit() now has a default serch for initial values if 
          they are not provided and checks for unreasonable initial values
          (not yet fully implemented)

        o argument "ini" in variofit can now take an object of the class
          "eyefit" or "variomodel", extracting the initial values from it

        o points.geodata() can now take an scalar in the argument "pt.divide"
           defining the number of quantiles



BUGS

        o bug fix in cov.spatial() to prevent error in krige.conv()
          when kriging with a model object with sigmasq=0 and phi=0

        o fix in calls in backtranform.moments() to BCtransform()

        o fix in grf(), krige.bayes() and krige.conv() to force initilisation
	  of the random seed when it is not available
	
        o fix in variofit() for fix.kappa=F wich cov.model="powered"
    
        o summary.geodata now returns an object of the class
          "summary.geodata" in print.summary.geodata

        o internal calls to "splancs"'s function inout() now always uses 
          the argument "bound=TRUE"

        o fix in summary.eyefit()

        o fix em geoR.messages (was not returning logical inside the functions)

        o  fix in points.geodata() for col="gray" with pt.divide="data.proportional"
            or pt.divide="rank.proportional"




		==============================
 		CHANGES IN geoR VERSION 1.5-2
		==============================

NEW FEATURES

        o summary method for "xvalid" object


BUGS

        o in eyefit() when pressing the SAVE button

        o likfit() was reporting wrong number of parameters for the non-spatial model 



		==============================
                CHANGES IN geoR VERSION 1.5-1
		==============================

NEW FEATURES

        o grf() no longer implements the "circular embedding".
           Users shoud use the package RandomFields for simulations with
           larger number of locations.Future realeases
           may contain a wrapper for RandomFields functions

        o variofit() now has a default search for initial values 
          if they are not provided and checks for unreasonable initial values

        o new internal function check.locations() used to test
	  the argument 'locations' in krige.conv(), ksline() and
	  krige.bayes()

        o summary.geodata() now handles "realisations", providing (by default) 
          separate summaries for each of them 

        o new internal function check.cov.model() to check input parameters
          So far used by lines.variomodel() and cov.spatial()
          but may be used by other in future.
          The ideia is to unify the checks to facilitate futere upgrades in
          the package

        o lines.variomodel() can now handle nested variograms

        o modifications in "Suggests" and "Depends" in the DESCRIPTION file

        o sliding bar for the kappa parameters in the tcl/tk interface 
          implemented in eyefit()



BUGS

        o bug fix in maximum value of range (phi) in eyefit()

        o plot.grf() now produces by default ylim compatible with both
          empirical and theoretical parameters

        o more changes in krige.bayes() to avoid problems computing
          posterior probabilities for large data-sets




		==============================
		CHANGES IN geoR VERSION 1.4-9
		==============================

NEW FEATURES

        o a few \concept{} entries added in the documentation

        o reciprocal prior for tausq.rel parameter in krige.bayes() (prior.control())

        o as.geodata() now accepts a vector of character in the argument 'covar.col'

        o print and summary methods for "variomodel" replaced by 
          "variofit" 

        o new function eyefit() for interactive variogram fitting
          using a Tcl-Tk interface

        o new methods for print, lines and plot for the S3 class "eyefit"

        o boxcox.negloglik() changed for negloglik.boxcox()

        o change in argument name in boxcox.fit: data replaced by object


BUGS
        o change in krige.bayes() to avoid problems computing
          posterior probabilities for large data-sets

        o fixes in several functions concerning the gneiting.matern model

        o fix in sample.prior when computing probs ans now also allowing
          "user" priors



		==============================
		CHANGES IN geoR VERSION 1.4-8
		==============================

NEW FEATURES

        o summary.likGRF() returns infos on the non-spatial model
        
        o summary.geodata() returns the number of data points

        o new data-set "soil.txt"

        o variog() search for trend components in the object
          (as already done in, e.g. plot.geodata) 

        o new function kweights() to compute sk/ok kriging
          prediction weights
  
        o new data-set "wo" from Webster and Oliver (2001)

        o new argument in plot.geodata(), allowing 
          control in the first plot of the display
          output

        o changes in the opening message which algo
          checks for geoR.messages
 

BUGS

        o bug in par.set in krige.bayes()

        o change in loss.vario() to prevent variofit()
          to crach with Inf value in loss function 

        o coord.data now working in contour.kriging()



		==============================
		CHANGES IN geoR VERSION 1.4-7
		==============================

NEW FEATURES

        o vignette temporarily removed from the package distribution


BUGS

        o  bug fix in subarea documentation


		==============================
		CHANGES IN geoR VERSION 1.4-6
		==============================

NEW FEATURES

        o new function subarea()

        o plot.geodata now writes "residuals" instead of "data"
          in the plots if the argument "trend" is used

        o option for lowess lines added to plot.geodata()

        o added data-sets "camg" and "Ksat" 

        o change in opening message pointing to the package documentation 

	o changes in likfit resetting estimates values when phi or sigmasq=0

        o loglik.GRF has a new argument obj.model to facititate passing 
          arguments from a model fitted object

        o likfit.limits() replaced by pars.limits().
          likfit.limits() kept for back-compatibility.

	o documentation for pars.limits()

        o limits=pars.limits() can now be used with variofit()

	o prior.control() checks and stops for random/fixed parameter
          options not implemented in krige.bayes()


BUGS

        o change in points.geodata to make borders work 
          when add.to.plot = T

	o bug fix in grf when storing .Random.seed




		==============================
		CHANGES IN geoR VERSION 1.4-5
		==============================

NEW FEATURES
    
    o several small fixes/additions in the exemples of the documentation

    o changes in .First.lib() to account to packageDescription in R-devel (1.9.0)

    o improved internal handling of borders in image.kriging(), contour.kriging(), 
      image.krige.bayes(), contour.krige.bayes()

    o new examples in the documentation if image.kriging()

    o new generic function dup.coords() with a method
      for the class geodata


BUGS

    o changes in image.kriging(), contour.kriging(), image.krige.bayes() and 
       contour.krige.bayes() to avoid bad default for x and y axis labels 

    o changes in points.geodata() allowing for more options in the argument col.seq

    o options na.rm added to an apply call inside set.coords.lim()



		==============================
		CHANGES IN geoR VERSION 1.4-4
		==============================

NEW FEATURES

    o changes in require() statements for conformity with package "stats"
      in R-devel (1.9.0)

    o objects gambia.borders and function gambia.map() added to The Gambia data

    o data-set "gambia" added to the package 

    o new "miscelaneous" functions coords2coords(), zoom.coords(),
      rect.coords()


BUGS

    o 


		==============================
		CHANGES IN geoR VERSION 1.4-3
		==============================

NEW FEATURES

    o the "Introduction to geoR" web page is now a package vignette 
      (with a few updates) 

    o wrapper distdiag() was made obsolete 

    o function as.geodata() now can take an output of grf()
      simplifying it ti a "geodata" object by taking only coordinates
      and data

    o options(geoR.messages=FALSE) is read by argument 'messages' 
      in several functions and can now be used to prevent
      geoR functions to print messages while running
    
    o argument name 'messages.screen' changed to 'messages'
      in several functions


BUGS

    o fix in xvalid() when model=wls 



		==============================
		CHANGES IN geoR VERSION 1.4-2
		==============================

NEW FEATURES

    o 
    

BUGS

    o borders now included in contour.kriging()

    o change in example of boxcox.geodata() docs adjusting for 
      R-devel-1.9.0
    

		==============================
		CHANGES IN geoR VERSION 1.4-1
		==============================

NEW FEATURES

    o version with tests now includes geoR tutorials available on the web

    o new method contour.kriging()

    o new function cite.geoR() with instructions on 
      how to cite geoR in publications

    o section DETAILS added in documentation of plot.xvalid()
    

BUGS

    o fix in number of bins in variog() when bin.cloud=TRUE

    o call to codes() in as.geodata() replaced by unclass()

    o fix of several code/documentation mismatches

    o bug fix in prepare.graph.krige() when borders are used

    o adding argument nugget.rel in likfit.limits 

    o fix in bins definition in the documentation for variog()




		==============================
		CHANGES IN geoR VERSION 1.3-16
		==============================

NEW FEATURES

    o 
    
BUGS

    o bug fix in output uvec and bins definition in the function variog()
      (more specifically, define.bins())


		==============================
		CHANGES IN geoR VERSION 1.3-15
		==============================

NEW FEATURES

    o 
    
BUGS

    o bug fix in plot.variog4 for R-1.8.0 checks


		=================================
		CHANGES IN geoR VERSION 1.3-13/14
		=================================

NEW FEATURES

    o some changes in handling of .Random.seed objects to be compatible
      with R-1.8.0

    o changes in xvalid() to accept arbitrary model specification
      from a list (and not only outputs from likfit() or variofit())

    o changes in legend.krige() with new argument offset.leg
      and better defaults for vertical legends.
      Arguments 'cex.leg' and 'vertical' droped from image.kriging(),
      image.krige.bayes(), and image.grf().
      They can still be used but now using the '...' mechanism.

    o new functionality in image.kriging(), image.krige.bayes()
      persp.kriging(), persp.krige.bayes() to recognise and plot
      prediction 1D results.
      krige.conv() and krige.bayes() output objects have an attribute 	
      to indicate whether the predictions are in 1D or 2D

    o extra arguments in points.geodata() allowing for legend 
    
BUGS

    o bug fix in prepare.graph.kriging()

    o bug fix in legend.krige() when vertical=TRUE 



		==============================
		CHANGES IN geoR VERSION 1.3-12
		==============================

NEW FEATURES

    o new function is.geodata()

    o new data: isaaks

    o cov.spatial() now accepts vector for cov.models with different elements, with changes in  documentation


BUGS

    o fix in variofit() passing a list instead of data.frame to nls() 



		==============================
		CHANGES IN geoR VERSION 1.3-11
		==============================

NEW FEATURES

    o argument breaks included in variog(), variog4() to an alternative 
      specification on bin limits (similar to breaks for the function hist()) 

    o more options in prepare.graph.krige.bayes to allow outputs from geoRglm 

    o scatterplot3d reintroduced in plot.geodata as optional (not default).
      Documentation updated.


BUGS

    o fix in variog4 to avoid message on multiple matching condition

    o minor changes in print.likGRF and print.summary.likGRF to better
      formating of results in the output device. Changes in documentation

    o fix in names in plot.proflik and proflik

    o bug fix in locations.inside when argument borders is a list

    o bug fix in persp.krige.bayes

    o bug fix in polygrid after changes introduced in version 1.3.10


		==============================
		CHANGES IN geoR VERSION 1.3-10
		==============================

NEW FEATURES

     o more flexible input options for polygrid with now accepts also lists
       data-frames and matrix in argument xgrid

     o argument poly in polygrid replaces by borders for compatibility with other functions

     o improvements in options and displays in hist.krige.bayes()

     o date of the version is now also shown on the message issued when the package is loaded 	

     o argument borders in plot.geodata and points.geodata can now match an
       element in the x argument

     o argument col.seq in points.geodata now accepts option "gray" to automatically
       produce gray scale

     o internal changes to improve code robustness
	
     o method boxcox.geodata()


BUGS

     o bug fix in plot for parameter phi in plot.krige.bayes()

     o bug fix in variofit when using fix.kappa = F

     o bug fix in likfit() when searching for multiple initial values in the anisotropy
       parameters in the case when phi = 0 provides the best value
 
     o bug fix/improvement in legend.krige() to allow for zlim
 	affecting image.krige(), image.grf() and image.krige.bayes()	

     o in as.geodata() when covariates and repeated locations present

     o in variog4() when trend or repeated locations present



		=============================
		CHANGES IN geoR VERSION 1.3-9
		=============================

NEW FEATURES
	
     o new method function summary.geodata
	
     o changes in plot.geodata: histogram now drawn instead of the "spike" plot
       package scatterplot3d is not longer required for geoR

     o trySilent() from package `methods` is now using in several geoR's functions
       replacing "not as elegant" previous code    

BUGS

     o internal changes in structures of the type is.null(class())
       to avoid problems with "methods" in R-1.7.0

     o internal changes in some functions to satisfy checks in R-1.7.0

     o several minor adjusts in the documentation

     o bug fix in solve.geoR

     o removal of unnecessary element $cov in the ca20 data-set


		=============================
		CHANGES IN geoR VERSION 1.3-8
		=============================

NEW FEATURES
	
     o 


BUGS

     o bug fix prevents crash in variog4


     o krige.conv no longer accepts nested covariance models to avoid a bug
       (this may be re-implemented in the future)

     o correction in values of proflik for objects with fixed lambda different from 0

     o remove "non-sense" printing in varcov.spatial (affecting several functions)
       (introduced in 1.3-7)
       
     o bug fix in krige.conv for nested covariance models



		=============================
		CHANGES IN geoR VERSION 1.3-7
		=============================

NEW FEATURES
	
     o changes in as.geodata to keep factor attributes of the covariates

     o type of contrast used is now returned in likfit

     o new data-sets "ca20" and "hoef" included
 


BUGS

     o varcov.spatial now tries the svd() decomposition when chol() fails. 
   
     o likfit issues messages that parameter estimation for the "power" and 
       "gneiting.matern" models is not implemented.

     o change in the measure of variability in backtransform.moments.
       (q0.75 - q0.25)/4 replaced by (q0.975 - q0.025)/4
       and the restult is calles uncertainty instead of variability

     o bug fix in variog.mc.env when lambda != 1 and for directional variograms

     o bug fix in proflik when fix.lambda = FALSE



		=============================
		CHANGES IN geoR VERSION 1.3-6
		=============================

NEW FEATURES
	
     o improvements in the documentation for output.control     
       with better explanations about the option signal
 
     o changes in image.grf now allowing inclusion of legends
       and better control of graphical parameters

BUGS
   
     o fix in kriging variances in krige.conv 


				
		=============================
		CHANGES IN geoR VERSION 1.3-5
		=============================

NEW FEATURES

     o improvements in odcumentation of output.control     
       with better explanations about the option signal
 
     o changes in the axis limits in image.grf() 


BUGS
   
     o krige.bayes and krige.conv:
       bug fix when simulation are required with nugget > 0 
       and prediction locations coincident with data locations.

     o boxcox.fit() now uses optimise() for one dimension minimisation

     o proflik() now uses optimise() for one dimension minimisations

     o bug fix in plot.geodata() whne argument x is missing.

     o as.geodata() now aways returns element covariates as
       a data-frame when covariates are included in the model.


				
		=============================
		CHANGES IN geoR VERSION 1.3-3
		=============================

NEW FEATURES

     o as.geodata() tests for NA's in the coordinates
     
     o likfit() now uses optimize() instead of optim() when
       minimization is unidimensional  

     o  tests for size of the trend matrix in comparison
        with the number of coordinates
				
     o  improvements in trend.spatial() and its documentation

BUGS
   
     o bug fix in varcov.spatial() causing craches in repetitive uses of this
       function, as for example when called by likfit() in simulation studies.

     o bug fix and modifications in variofit() for covariance models  
	"linear" and "power". 

     o bug fixed for the power model in cov.spatial and functions in geoR.c
			


		=============================
		CHANGES IN geoR VERSION 1.3-2
		=============================

NEW FEATURES
   
     o changes in the documentation of Box-Cox related functions

     o trend.spatial now assigns a class "trend.spatial" to its output

     o functions with argument trend can now also take an output of the 
       function trend.spatial()

     o changes in calls to C code
        

BUG FIXES

     o fix in variog.model.env() and variog.mc.env() when argument "trend" is used

     o bug fix in krige.bayes when argument messa=F

     o bug fix in image.kriging() and image.krige.bayes()

     o fix and additions in the documentation of trend.spatial()

     o bug fix in print.grf(), krige.bayes.grf() 
       caused by changes in version 1.3-0
 
     o in plot.xvalid() when "borders = NULL"

     o more details on the argument realisations in documentation for
       likfit and as.geodata



		=============================
		CHANGES IN geoR VERSION 1.3-0
		=============================

NEW FEATURES
   
     o the file geoRintro.pdf is no longer included in the package 
       distribution due to its size.
       The file remain available on the web on html, ps and pdf formats

     o lines.variomodel() is now a generic functions.
       and the previous lines.variomodel() is moved to
       lines.variomodel.default().
       So far methods implemented for lines.variomodel.krige.bayes(),
       lines.variomodel.grf(), lines.variomodel.likGRF() and
       lines.variomodel.variofit()

     o changes in lines.krige.bayes():
       - lines.krige.bayes moved to lines.variomodel.krige.bayes().
       - lines.variomodel.krige.bayes() now computes and plots 
         summaries of the posterior for the variogram functions
         as the default option. 
       - The previous functionality using summaries of the posterior 
          of the model parameters remains available as non-default.

     o 	read.geodata() and as.geodata() have now options to deal 
        with more that one data at the same location

     o 	read.geodata() and as.geodata() have now options to deal 
        with NA's

     o 	read.geodata() and as.geodata() returns $m.var, 
        the measurement variance when there is more than 
        one data at the same location


BUG FIXES
 
     o AIC and BIC in likfit() now computed as:
            AIC = 2log(L) + 2p
            BIC = 2log(L) + p log(n)

     o bug fix in plot.proflik() when 2D profiles not computed

     o variog() now returns $max.dist which is used as default option in variofit()

     o bug fix in weigths $n variofit() when max.dist was provided by the user

     o documentation of variog(): fix in the equation of the variograms estimators

     o bug fixes in legend.krige()



		=============================
		CHANGES IN geoR VERSION 1.2-8
		=============================

NEW FEATURES
   
     o as.geodata() now saves stores the covariates in a data.frame format
	
     o changes in grf() and related functions to facilitate simulations in 1-D

     o bug fix in persp.grf()

     o change in argument name in plot.grf(): plot.grid changed to plot.locations 

     o image.grf() and persp.grf() now recognises simulations in 1-D and produces a 
       2D plot to shown the simulations (intead of an image or perspective plot)

     o as.geodata() force numerical values in the $coords and $data outputs 

     o change in the arrangement of plots in plot.geodata() 



BUG FIXES

     o fixes/changes in the documentation, geoRintro and geoR web-pages

     o fix in trend.spatial() message

     o fix in coords argument in plot.geodata(), which now also accepts an
       object of the class "geodata"



		=============================
		CHANGES IN geoR VERSION 1.2-5
		=============================

NEW FEATURES
   
     o more details on the loss function in the documentation of variofit


BUG FIXES

     o bug fix in calculation of directional variograms in variog()

     o bug fix in krige.bayes documentation

     o fix in the documentation of internal and defunct functions.

     o fix in test for NA's to conform with R-1.5.0

     o replacement of T/F by TRUE/FALSE



		=============================
		CHANGES IN geoR VERSION 1.2-1
		=============================

NEW FEATURES

     o some tests for matrix inversions when the model has  
       covariates with very different orders of magnitude 
  
     o outputs of prior.control(), model.control(), output.control()
       and krige.control() have now classes "prior.geoR", "model.geoR",
       "output.geoR", "krige.geoR", respectivelly. 

     o few checks moved from krige.conv to krige.control

     o argument "realisation" in as.geodata can now also 
       takes a column number or a name of an element of the list
       geodata.

     o the arguments model, prior and output in krige.bayes
       can now take not only calls to the respective control functions,
       but also lists as usual for control functions. Partial matching
       for arguments is implemented.

     o idem previous for the arguments krige and output in the
       function krige.conv.

     o futher checks for the validity covariance matrix in prior.control
       when using a normal prior for the parameter beta
 
     o the data set s256i from the Tech. Rep. which describes the 
       implementation of krige.bayes is now included 

     o futher checks in rinvchisq


BUG FIXES

     o bug fix when using trend different from constant.
       This bug was introduced in version 1.2-0

     o bug fix in likfit when using multiple initial values
       This bug was introduced in version 1.2-0

     o several corrections in the documentation 



		=============================
		CHANGES IN geoR VERSION 1.2-0
		=============================

NEW FEATURES

     o krige.bayes() now allows for "user defined" (discrete) prior
       distributions for the parameters phi and tausq.rel

     o new function post2prior() which prepares the posterior
       obtained in a run of krige.bayes to be used as a prior
       in a subsequent run

     o function likfit() now allows data assumed to be from
       different and independent realisations.
       It has now an extra argument "realisations" which
       takes a vector of indicating the number of the realisation.

     o functions read.geodata() and as.geodata() also includes
       the argument realisations

     o function trend.spatial changed to accept different ways to
       read covariates in the model
      
     o plot.variogram has an extra argument which allows points
       sizes to be proportional to the (square root) of the number
       of pairs in each bin


BUG FIXES

    o  bug fix in picking tausq.res values in sample.posterior()

    o  bug fix in lines.variomodel() for scaled variogram
    
    o  likfit() with estimated lambda and RML does not crashes anymore


		=============================
		CHANGES IN geoR VERSION 1.1-5
		=============================

NEW FEATURES

     o function points.geodata(): argument 'pt.sizes' changed to 'pt.divide' 
       internal back compatibility included
 
     o argument 'pt.divide' can now also take a numerical vector of quantiles
       to divide the data points in classes	
 
     o plot.xvalid has more options for selecting plots

     o plot.variogram passes more arguments to the plotting function
       when ploting multiple variograms


BUG FIXES

    o  fix in variog() to allow computation with points at coincident locations
    
    o  as.geodata now returns covariates as matrix instead of data-frame
       to prevent problems in formulas

    o  variog() now checks for incompatible dimentions of coords 
       and data

    o  fixes in the documentation following checks for R-1.4.0



		=============================
		CHANGES IN geoR VERSION 1.1-2
		=============================


NEW FEATURES

    o  new function hist.krige.bayes() which plots histograms
       and/or density estimation of the samples from the posterior
       of the model parameters

    o  new function plot.krige.bayes() plots discrete prior and posterior
       for the parameters phi and/or tausq.rel

    o  BoxCox group of functions including parameter estimation 
       by maximum likelihood, random generation, density
       and methods for printing and ploting

    o  krige.bayes, krige.conv and ksline now selects prediction
       locations inside borders. Selection computed by the 
       new auxiliary function locations.inside()

    o  plot.xvalid now reads attributes from output of xvalid 

    o  internal changes in C code

    o  image.kriging, image.krige.bayes, persp.kriging and 
       persp.krige.bayes now reads attributes of the related function 
	
    o  the version number is now printed when geoR is loaded

    o  Windows distribution now includes .chtml help files

    o  Matern correlation function now implemented in the  
       .c code "cor_diag" 
    
    o  new C wrapper function corr.diaglowertri for cor_diag

    o  major reformulation of the function krige.bayes including
   
       - "conjugate" priors for beta and sigmasq

       - flexibility in which parameters are considered random
 
       - unified and more versatile output for whatever prior 
         specification

       - parameters are reffered by greek letters and not
         using geostatistical jargon

       - internal changes to improve efficiency and memory handling

       - changes in arguments of control functions

       - inclusion of prior information in the output

       - major reformulation in the output of krige.bayes()

    o  new function sample.prior() to sample from priors used in 
       krige.bayes()

    o  new function sample.posterior() to sample from posteriors 
       returned by krige.bayes()

    o  new function statistics.predictive() to compute statistics
       from simulations of predictive returned by krige.bayes()
       and/or krige.conv()

    o  grf returns "spacing" or "xspacing" and "yspacing"
       attributes for regular grids

    o  output.control is an isolated function with its own documentation
       and now also used by krige.conv() 

    o  krige.conv() can return outputs from the posterior distribution
       as for krige.bayes. This includes quantiles, thresholds
       and others defined by output.control()

    o  new functions for the Scaled-Inverse-ChiSquare distribution
       rinvchisq() and dinvchisq

    o krige.bayes() and krige.conv() now backtransform moments analitically
      for kappa = 0.5

    o  Functions (typically) internally used

    	o  new function cond.sim() to simulate from predictive.
           Typically internally called by krige.conv() and krige.bayes()

    	o  new function print.betavar() for nive print of covariance matrices

    	o  new function beta.sigmasq.post() for key calculations on 
           posteriors and predictive

        o new functions transform.data() and backtransformed.moemnts()


BUG FIXES
    
    o  parentesis matching in documentation for krige.conv()
       and xvalid() 

    o variance in krige.bayes for normal prior for the parameter beta



		=============================
		CHANGES IN geoR VERSION 1.0-8
		=============================


NEW FEATURES

    o  new function legend.krige() to add legend to
       image plots

    o  arguments in image.kriging() and image.krige.bayes()
       to include legend in the plot

    o  argument "obj.model" included in krige.conv()

    o  argument "borders" included in plot.geodata()

    o  argument "lambda", "trend" and "weights.divide"
       included in points.geodata()


BUG FIXES

    o  fix in variog which was causing problems in NA handling for variog4()

    o  a few bug fixes in proflik()

    o  argument pch in points.geodata()

    o  constant part of the likelihood included in the trace of 
       likfit() when print.pars = TRUE

    o  argument "trend" in plot.geodata() now working properly




		=============================
		CHANGES IN geoR VERSION 1.0-7
		=============================


NEW FEATURES

    o  new argument "borders" for image.kriging(), persp.kriging(),
       image.krige.bayes(), persp.krige.bayes().

    o  function points.geodata() takes argument "borders" to include borders
       of the region in the plot.

    o  additional optional argument in plot.xvalid() for including 
       the borders of the area in the errors plot

    o  argument "ask" included in plot.proflik()

    o  lines.variomodel() and lines.krige.bayes() 
       now uses curve() to draw the variogram model. 
       Some arguments have been changed.


BUG FIXES

    o  fixed bug when using option scale=T in lines.variomodel.
       Internal changes in this functions.

    o  proflik() missing jacobian value for $\lambda \neq 1$ and fixed 

    o  problem with splines and duplicated values in plot.proflik() 

    o  variog4 and plot.variog4: NA's and different lags

    o  krige.bayes: changes in arguments names of nugget parameters
       to make clear when relative nugget is used.
       
    o  repairs in the documentation of krige.bayes()
    
    o  fixed bug in xvalid when entering with external validation data




		=============================
		CHANGES IN geoR VERSION 1.0-6
		=============================

NEW FEATURES

    o   function geoRdefunct() lists defunct functions

    o   likfit.old(), olsfit() and wlsfit() are now defunct

    o   this file is included in the package distribution at 
        .../geoR/docs/NEWS

    o	changes in the variogram based parameter estimation

        - new function variofit() for variogram based estimation via
          ordinary or weighted least squares replaces olsfit() and wlsfit()

	- parameter kappa, always fixed in wlsfit() and olsfit()
          can now be estimated in by variofit()

	- print.variomodel() and summary.variomodel() changed accordingly 


    o  file random.c no longer user. R's random number generator 
       is now used in file woodandchan.c


    o  flexiblity to change graphical parameter is plot.variog4()


    o  xvalid() incorporates prediction at differet locations


    o  extra graphics in plot.xvalid()


    o data(wolfcamp) now available


	
BUG FIXES

    o  likfit() : default optiom fir likfit.limits() when 
       cov.model = "powered.exponential"




		  =============================
		  CHANGES IN geoR VERSION 1.0-5
		  =============================

NEW FEATURES

    o	directional variograms

        -  variog() now computes directional variograms using new arguments
           "direction" and "tolerance"

	-  variog4() computes variograms for four directions

	-  plot.variog4() plots output of variog4()


    o  file random.c no longer user. R's random number generator 
       is now used in file woodandchan.c


    o  cross-validation

        - new function xvalid() to perform cross-validation

	- associated plot method: plot.xvalid()


    o  power model for covariance functions implemented


    o  read.geodata() warns if data at coincident locations

  
	
BUG FIXES

    o  several argument matching fixes in the documentation

    o  print.summary.likGRF() now works properly

    o  argument fixing on plot.grf() 

    o  .First.lib() following R's standards and source moved to zzz.R

    o  causes of warning messages in wlsfit() and olsfit() were removed 

    o  error fixing in points.geodata() "pt.size not found"



	**************************************************
	*						 *
	*	 geoR 1.0-0 : RELEASE STATMENT	         *
	*						 *
	**************************************************


  What's geoR:
  -------------
    geoR is a package to perform geostatistical data analysis and 
    spatial prediction, expanding the tools already available in 
    R for analysis of spatial data.

  Legalese:
  ---------
  geoR is distributed under the same terms as R:

  "geoR is available as Free Software under the terms of the Free Software 
   Foundation's GNU General Public License."
   As free package, geoR is supplied without any warranty. 

  History:
  --------
  geoR has been developed over the last two years in the Dept of Maths 
  and Stats, Lancaster University - UK.
  
  During this period it has being used for teaching short courses and 
  for data analysis. Some scientific publications has been written, 
  using the resources provided by the package.
  
  The package has been available on the web and there is already a 
  reasonable number of users, considering the e-mails received about 
  usage/bugs/help.


  How does it differ from the current resources?
  ----------------------------------------------
  geoR differs in some aspects of the currently available tools for 
  geostatistical data analysis: the package sgeostats and the functions 
  included in the VR's spatial package.
  
  The main differences are the implementation of methods for likelihood 
  based estimation and Bayesian prediction of (transformed) Gaussian 
  random fields.


  The target audience:
  ---------------------
  This is always hard to predict. 
  Based on the feedback we've got so far we can say that the package 
  has been mainly used as:
  - teaching support tool for courses on geostatistics
  - data analysis tool for statisticians working on applied problems 
    as well as researchers in soil and environmental sciences, 
    biology, among others
  - support tool for simulation studies


  Extra documentation:
  ---------------------
  The package web page is: 
                www.maths.lancs.ac.uk/~ribeiro/geoR.html

  For a quick visualization of its functionality:
                www.maths.lancs.ac.uk/~ribeiro/geoRintro.html

  A pdf version of the latter is included in the package distribution as: 
                docs/geoRintro.pdf


  The distribution file and tests:
  --------------------------------
  The current distribution includes documentation for all the functions.
  It has passed "R CMD check" (R-devel, 1.3.0)


  Future developments:
  --------------------
  The file "docs/ToDo.geoR" has a list of features which should be 
  implemented in short/medium term.


  Related resources/work:
  -----------------------
  There is a joint work in progress with Ole Christensen (Aalborg 
  University, Denmark) to implement non-Gaussian spatial models.
  It's not yet clear whether this will results in a package on its own 
  or will be an expansion of the geoR functionality. 
  Ole has given a great contribution for geoR development, and we 
  therefore expect total compatibility of the resulting product 
  with geoR.

  Martin Schlather (Bayreuth University, Germany) is writing a package 
  for simulation of Gaussian random fields. We will be in touch with 
  Martin trying to improve the compatibility between the two packages.


                             Paulo J. Ribeiro Jr and Peter J. Diggle
                                               Lancaster, 25/05/2001

